

<?php
//<!-- begin of generated class -->
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_states
* GENERATION DATE:  12.01.2016
* CLASS FILE:       G:\wamp\www\match_schedular\admin\class_generator/generated_classes/class.tbl_states.php
* FOR MYSQL TABLE:  states
* FOR MYSQL DB:     match_schedular
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_states
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************


var $id;   // (normal Attribute)
var $name;   // (normal Attribute)
var $country_id;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

	function tbl_states()
	{
	
	$this->database = new Database();
	
	}


	// **********************
	// GETTER METHODS
	// **********************
	
	
	function getid()
	{
	return $this->id;
	}
	
	function getname()
	{
	return $this->name;
	}
	
	function getcountry_id()
	{
	return $this->country_id;
	}

// **********************
// SETTER METHODS
// **********************


	function setid($val)
	{
	$this->id =  $val;
	}
	
	function setname($val)
	{
	$this->name =  $val;
	}
	
	function setcountry_id($val)
	{
	$this->country_id =  $val;
	}

	// **********************
	// SELECT METHOD / LOAD
	// **********************
	
	function select($id)
	{
	
		$sql =  "SELECT * FROM states WHERE  id= $id;";
		$result =  $this->database->query($sql);
		$result = $this->database->result;
		$row = mysqli_fetch_object($result);
		
		
		$this->id = $row->id;
		
		$this->name = $row->name;
		
		$this->country_id = $row->country_id;
	
	}

	// **********************
	// DELETE
	// **********************
	
	function delete($id)
	{
	$sql = "DELETE FROM states WHERE  id= $id";
	$result = $this->database->query($sql);
	
	}

	// **********************
	// INSERT
	// **********************
	
	function insert()
	{
	
	$sql = "INSERT INTO states ( id,name,country_id ) VALUES ( '$this->id','$this->name','$this->country_id' )";
	$result = $this->database->query($sql);
	return mysqli_insert_id($this->database->link);
	
	}

	// **********************
	// UPDATE
	// **********************
	
	function update($id)
	{
	
	
	
	$sql = " UPDATE states SET  id = '$this->id',name = '$this->name',country_id = '$this->country_id' WHERE  id= $id ";
	
	$result = $this->database->query($sql);
	
	
	
	}

	//**********************
	// SELECT All State List
	//**********************
	
	function select_state_list($country_id)
	{
	
		try
		{
			 $sql =  "SELECT * FROM tbl_states WHERE `country_id`='".$country_id."' ORDER BY name ASC";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_states();

				  $arr[$count]->setid($row->id);
				  $arr[$count]->setname($row->name);
				  $arr[$count]->setcountry_id($row->country_id);
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}




} // class : end
//<!-- end of generated class -->

?>
